using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace Weigelt.Windows.Forms
{
	/// <summary>
	/// Column type for displaying and editing text, where in edit mode
	/// the text caret is "caught" inside the text box.
	/// </summary>
	/// <seealso cref="CustomDataGridViewTextBoxEditingControl"/>
	public class CustomDataGridViewTextBoxColumn : DataGridViewColumn
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="CustomDataGridViewTextBoxColumn"/> class.
		/// </summary>
		public CustomDataGridViewTextBoxColumn()
			: base( new CustomDataGridViewTextBoxCell() )
		{
		}
	}
}
